Bug 172343 - Review Request: libtomoe-gtk (renamed tomoe-gtk)
Review Request: libtomoe-gtk (renamed tomoe-gtk)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://tomoe.sourceforge.jp/
:
Depends On:
Blocks: FE-ACCEPT 178874
  Show dependency treegraph
 
Reported: 2005-11-02 19:38 EST by Ryo Dairiki
Modified: 2008-07-09 01:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-21 17:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ryo Dairiki 2005-11-02 19:38:21 EST
Spec Name or Url: http://proxy.f2.ymdb.yahoofs.jp/users/d1e4801f/bc/libtomoe-gtk/libtomoe-gtk.spec?bcpaA4DB7yOz1XS.
SRPM Name or Url: http://proxy.f2.ymdb.yahoofs.jp/users/d1e4801f/bc/libtomoe-gtk/libtomoe-gtk-0.1.0-1.src.rpm?bcpaA4DBjduEbYXg
Description:
Gtk library for tomoe Japanese handwritten input.
This package is used by scim-tomoe, or uim-tomoe.
Comment 1 John Mahowald 2005-12-20 20:50:41 EST
Build failed.

checking for GTK2... configure: error: Package requirements (gtk+-2.0 >= 2.4.0)
were not met:

No package 'gtk+-2.0' found

You will need BuildRequires: gtk2-devel
Comment 3 John Mahowald 2005-12-26 21:48:03 EST
Builds in mock now, FC4 i386.

Needs work:
* No downloadable source. Please give the full URL in the Source tag.
* rpmlint of libtomoe-gtk-devel: Limit description lines to 80 characters.
* Missing ldconfig scriptlet at %post and %postun. wiki: ScriptletSnippets
Comment 5 John Mahowald 2006-01-27 09:34:44 EST
How annoying, the sourceforge link doesn't download automatically. md5sum checks
manually though.

Good:

- rpmlint only notices that ldconfig in spec is a one line script. Can ignore,
or use the -p option (wiki: ScriptletSnippets).
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file


- devel package ok
- no .la files
- devel requires base package n-v-r 

Missing ldconfig for the devel package, which I believe is needed. Looks good
otherwise.
Comment 6 Ryo Dairiki 2006-01-27 10:17:42 EST
Thank you for reviewing.
I've fixed the following problems.

1. The sourcefiles is not downloaded automatically.
2. You must use "-p" int the "post" and "postun" sections.


SRPM:
http://proxy.f2.ymdb.yahoofs.jp/users/d1e4801f/bc/libtomoe-gtk/libtomoe-gtk-0.1.0-4.src.rpm?bcR5j2DBDHKQ6EjA

SPEC:
http://proxy.f2.ymdb.yahoofs.jp/users/d1e4801f/bc/libtomoe-gtk/libtomoe-gtk.spec?bcR5j2DBlYt9kUIe
Comment 7 John Mahowald 2006-02-04 01:52:35 EST
Links are not working. bcvrf.yahoo.com could not be found.
Comment 8 Ryo Dairiki 2006-02-04 08:26:19 EST
I'm sorry, it seems like yahoo briefcase sometimes changes it's download link URLs.

You can see them in libtomoe-gtk folder at http://briefcase.yahoo.co.jp/ryo_dairiki
But I'll upload them as soon as I get a better file sharering repository.
Comment 9 Ryo Dairiki 2006-02-11 02:58:36 EST
Now it's okay.
I've uploaded them on the stable place.

SRPM:
http://homepage2.nifty.com/shibatama/garage/libtomoe-gtk-0.1.0-4.src.rpm

SPEC:
http://homepage2.nifty.com/shibatama/garage/libtomoe-gtk.spec

# I'm sorry to have trouble you, with the old repository.
Comment 10 John Mahowald 2006-02-27 10:55:41 EST
New site downloads much better.

One thing still blocking: the devel subpackage needs it's own call to ldconfig.
See the ReviewGuidelines on the wiki.

Good:

- rpmlint checks return:
W: libtomoe-gtk-debuginfo objdump-failed
Not critical.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- locales handled by %find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file


- devel package ok
- no .la files
- devel requires base package n-v-r 
Comment 11 Ryo Dairiki 2006-02-27 19:37:16 EST
SPEC: http://homepage2.nifty.com/shibatama/garage/libtomoe-gtk.spec
SRPM: http://homepage2.nifty.com/shibatama/garage/libtomoe-gtk-0.5. 

I've added ldconfig for the devel package.
But I still get some errors and warnings, do you have any idea?

rpmlint libtomot-gtk-devel:
E: libtomoe-gtk-devel only-non-binary-in-usr-lib
(Yeah, there is only "libtomoe-gtk.so" in that directory)

rpmlint libtomoe-gtk-debuginfo:
W: libtomoe-gtk-debuginfo objdump-failed
(What is it?)
Comment 13 Jens Petersen 2006-02-27 19:57:59 EST
Sorry, why does the -devel package need ldconfig?
Comment 14 John Mahowald 2006-02-27 22:08:54 EST
Initially I saw this guideline:

- MUST: If the package contains shared library files located in the dynamic
linker's default paths, that package must call ldconfig in %post and %postun. If
the package has multiple subpackages with libraries, each subpackage should also
have a %post/%postun section that calls /sbin/ldconfig.
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

and thought that there was a devel subpackage that has an object in the linker's
path. However, on second thought, this is merely a symlink to the library in the
main libtomoe-gtk package and so doesn't need it.

What rpmlint has to say about objdump-failed:
Executing objdump on this file failed, all checks could not be run.
Which just means rpmlint couldn't examine the object files further. This is not
serious.

APPROVED
Comment 15 Ryo Dairiki 2006-02-27 23:20:33 EST
Okay, thanks.
Comment 16 John Mahowald 2006-03-21 17:55:00 EST
Package in the repository. Please close bug when package builds successfully.

Closing.
Comment 17 Christian Iseli 2006-04-08 16:56:37 EDT
Please add the package in owners.list
Comment 18 Ryo Dairiki 2006-04-08 19:39:10 EDT
> Please add the package in owners.list

Done, thanks.
Comment 19 Jens Petersen 2008-07-09 01:41:09 EDT
Renaming this package to tomoe-gtk since that has been the upstream name for
some time.

Note You need to log in before you can comment on or make changes to this bug.